
Redmine - Patch #32531

Update RuboCop Rails to 2.9

2019-11-29 08:56 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Gems support Estimated time: 0.00 hour

Target version: 4.2.0   

Description

Associated revisions

Revision 19321 - 2019-11-29 08:57 - Go MAEDA

Update RuboCop Rails to 2.4 (#32531).

Revision 19623 - 2020-03-27 08:09 - Go MAEDA

Update RuboCop Rails to 2.5 (#32531).

Revision 20172 - 2020-10-23 03:30 - Go MAEDA

Update RuboCop Rails to 2.8 (#32531).

Revision 20585 - 2020-12-09 05:14 - Go MAEDA

Update RuboCop Rails to 2.9 (#32531).

History

#1 - 2019-11-29 08:57 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch.

#2 - 2020-03-27 08:09 - Go MAEDA

- Subject changed from Update RuboCop Rails to 2.4 to Update RuboCop Rails to 2.5

Updated RuboCop Rails to 2.5 in r19623.

#3 - 2020-10-23 02:55 - Go MAEDA

- Subject changed from Update RuboCop Rails to 2.5 to Update RuboCop Rails to 2.8

- Status changed from Closed to Reopened

The latest version is 2.8.1.

https://rubygems.org/gems/rubocop-rails/versions/2.8.1

Since Redmine dropped support for Ruby 2.3 (#34142), we can update rubocop-rails to 2.8 that requires Ruby >= 2.4.0.

#4 - 2020-10-23 03:31 - Go MAEDA

- Status changed from Reopened to Closed

Updated ruboCop Rails to 2.8 in r20172.

#5 - 2020-12-09 05:15 - Go MAEDA

Updated ruboCop Rails to 2.9 in r20585.
https://www.redmine.org/projects/redmine/repository/svn/revisions/19623
https://rubygems.org/gems/rubocop-rails/versions/2.8.1
https://www.redmine.org/issues/34142
https://www.redmine.org/projects/redmine/repository/svn/revisions/20172
https://www.redmine.org/projects/redmine/repository/svn/revisions/20585


#6 - 2020-12-09 05:15 - Go MAEDA

- Subject changed from Update RuboCop Rails to 2.8 to Update RuboCop Rails to 2.9

Files

update-rubocop-rails.diff 1.92 KB 2019-11-29 Go MAEDA
